#
# spec file for package perl-XML-LibXML-Simple
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-LibXML-Simple
Version:        0.99
Release:        lp150.1.3
%define cpan_name XML-LibXML-Simple
Summary:        XML::LibXML clone of XML::Simple::XMLin()
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-LibXML-Simple/
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKOV/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(XML::LibXML) >= 1.64
Requires:       perl(XML::LibXML) >= 1.64
%{perl_requires}

%description
This module is a blunt rewrite of XML::Simple (by Grant McLean) to use the
XML::LibXML parser for XML structures, where the original uses plain Perl
or SAX parsers.

*Be warned:* this module thinks to be smart. You may very well shoot
yourself in the foot with this DWIMmery. Read the whole manual page at
least once before you start using it. If your XML is described in a schema
or WSDL, then use XML::Compile for maintainable code.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README

%changelog
* Tue Dec 12 2017 coolo@suse.com
- updated to 0.99
  see /usr/share/doc/packages/perl-XML-LibXML-Simple/ChangeLog
  version 0.99: Mon 11 Dec 12:53:14 CET 2017
  Changes:
  - support SuppressEmpty.
  Improvements:
  - typo
  rt.cpan.org#123618 [Gregor Herrmann, Debian]
* Thu Nov  9 2017 coolo@suse.com
- updated to 0.98
  see /usr/share/doc/packages/perl-XML-LibXML-Simple/ChangeLog
  version 0.98: Wed  8 Nov 10:38:35 CET 2017
  Improvements:
  - warn about the dwimmery of the code
  rt.cpan.org#114021 [David Schmidt, Slaven Rezic]
  - typo
  rt.cpan.org#114211 [Gregor Herrmann, Debian]
  - remove dependency on File::Slurp::Tiny, never used it
  rt.cpan.org#123537 [Dan Book]
* Thu May  5 2016 coolo@suse.com
- updated to 0.97
  see /usr/share/doc/packages/perl-XML-LibXML-Simple/ChangeLog
  version 0.97: Tue 12 Apr 15:12:21 CEST 2016
  Fixes:
  - HookNodes parameter was not allowed. [Kit Peters]
* Sun Mar 13 2016 coolo@suse.com
- updated to 0.96
  see /usr/share/doc/packages/perl-XML-LibXML-Simple/ChangeLog
  version 0.96: Fri 11 Mar 15:09:43 CET 2016
  Improvements:
  - deprecate XML input from 'undef'
  - rewrite UNIVERSAL::isa into blessed ->isa
  - implement hooks on nodes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.95
  see /usr/share/doc/packages/perl-XML-LibXML-Simple/ChangeLog
  version 0.95: Mon Dec 22 08:19:53 CET 2014
  Fixes:
  - content-key collapse did not work with any key value of 0.
  Improvements:
  - doc: be clear that an XML::LibXML node can be used as source
  for XMLin as well [Salve J. Nilsen]
  - doc: cleaner SYNOPSIS, minor reorganisation.
* Mon Jul 28 2014 coolo@suse.com
- updated to 0.94
    Improvements:
  - change documentation style.
  - replace File::Slurp by File::Slurp::Tiny [Caleb Cushing]
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.93
  - move pod-test to xt/
  - fix warning produced by Pod::Checker
  - include license in the manuals.
* Fri May 25 2012 werner@suse.de
- Do version update to 0.91
* Wed May 23 2012 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  Perl license in SPDX format
* Tue May 22 2012 werner@suse.de
- run osc service localrun format_spec_file
* Fri Apr 29 2011 pascal.bleser@opensuse.org
- initial version (0.15)
